kind: Plugin
name: Product catalog
description: Baserow Product catalog integration

dependencies:
  - submodules/baserow_info_products.py # The file with the actual logic that runs when the tool group is executed

skills:
  - kind: Skill
    name: InitProductDisplaySkill
    description: Init brief description of product catalog.
    public_available: false
    session_init_call: true
    implementation: baserow_info_products.get_products_display

tools:
  - kind: Tool
    object_name: ProductInfo
    name: get_product_info
    description: Get detailed information about a specific product by its ID.
    parameters:
      - name: product_id
        description: "The ID of the product to retrieve information for."
        type: str
    implementation: baserow_info_products.get_product_info